Subject: bug#73041: 30.0.90; track-changes-mode logs warnings (#70541 regression? not actually fixed?)

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Jan 2025 19:16:18 -0500

> I am still seeing similar issues with Eglot and Phpactor with Emacs
> 30.0.93, with this warning occurring fairly regularly:
> 
> track-changes--after: Assertion failed: (or track-changes--before-no (<=
> track-changes--before-beg (track-changes--state-beg track-changes--state)
> beg end (track-changes--state-end track-changes--state)
> track-changes--before-end))
> 
> I haven't figured out a way to reproduce it yet, but I've set
> track-changes-record-errors to 'trace to try and get more information
> the next time that it occurs.

Thanks.  Send us the contents of `track-changes--error-log` (but note
that it can contain sensitive information) next time it occurs.

        Stefan